Subject: Re: [PATCH net-next 3/4] net: Add IPv6 support to VRF device

From: David Ahern <[email-masked]>
Date: Wed, 7 Oct 2015 12:52:42 -0600

On 10/7/15 12:46 PM, David Ahern wrote:
> On 10/7/15 12:42 PM, Cong Wang wrote:
>> On Wed, Oct 7, 2015 at 9:50 AM, David Ahern <[email-masked]>
>> wrote:
>>> Add support for IPv6 to VRF device driver. Implemenation parallels what
>>> has been done for IPv4.
>> [...]
>>> diff --git a/drivers/net/Kconfig b/drivers/net/Kconfig
>>> index b9ebd0d18a52..c878a0bc2137 100644
>>> --- a/drivers/net/Kconfig
>>> +++ b/drivers/net/Kconfig
>>> @@ -300,6 +300,7 @@ config NET_VRF
>>>          tristate "Virtual Routing and Forwarding (Lite)"
>>>          depends on IP_MULTIPLE_TABLES && IPV6_MULTIPLE_TABLES
>>>          depends on NET_L3_MASTER_DEV
>>> +       depends on IPV6
>>
>> So vrf will stop functioning without IPV6? This doesn't look correct...
>>
>
> The new functionality does. The inter-module/builtin dependencies are a
> nightmare. I either make VRF device require IPV6 like the IPVLAN driver
> does or I split the module into 2 -- 1 for IPv4 and 1 for IPv6.

Actually, I can't split it into because a netdevice can only have 1 
master yet can have both IPv4 and IPv6 addresses. I just noticed how 
bonding has it defined:

config BONDING
         tristate "Bonding driver support"
         depends on INET
         depends on IPV6 || IPV6=n

Let me try that style with VRF.

David